﻿using System;
using System.ComponentModel;
using Xamarin.Forms;

namespace CustomHeaderTests.ViewModels
{
    public abstract class ViewModelBase : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        public string Title { get; set; }
        public string ContentText { get; set; }
        public GridLength StatusBarHeight { get; set; } = new GridLength(44);
    }
}
